<div class="confirmation-with-icon__header">
  <img src="/assets/icons/{{data.iconType}}_big.svg" class="d-block ml-auto mr-auto mb-20" alt="{{data.iconType}}">
  <h2 class="confirmation-with-icon__title">{{ data.title }}</h2>
</div>
<div>
  <span
    *ngIf="data.description"
    class="confirmation-with-icon__description"
    >{{ data.description }}</span
  >
</div>
<div class="confirmation-with-icon__actions" align="end">
  <button
    class="button button_br button_bg-gray button_c-black mr-10"
    cdkFocusInitial
    [mat-dialog-close]="false"
  >
    {{ data.closeButtonText || "Bağla" }}
  </button>
  <button
    class="button button_br button_bg-brand-orange button_c-white"
    (click)="onConfirmClick()"
  >
    {{ data.confirmatioButtonText }}
  </button>
</div>
